; moscAS v2.0
; (c) 2001 The Picc2rd Team

; FLASH DATA

SECA_STARTUPoffset	EQU	0x02
SECA_ACTIVATIONoffset	EQU	0x03
SECA_PPVoffset		EQU	0x04
PKEYSoffset			EQU	0x10
SKEYSoffset			EQU	0x20
NANO26offset		EQU	0x48

			ORG	0x1000
BASE_DATOS

; UA de la tarjeta
TarjetaUA	DW	0x00,0x25,0x00,0x00,0x00,0x07,0x5B,0xCD
UALen		EQU	$-TarjetaUA

; Bitmap de proveedores activos
I16_ANS	DW	0x00,0x00
		DW	0x00,0x01
		DW	0x00		;PINestado $E05B (es el estado de activacin del pin) bit 0 =ON
I16Len	EQU	$-I16_ANS

;Numero max de records
LAST_RECORD
		DW	0x05	; 234  records maximo. Ha bajado el numero para dejar espacio a las tablas T1 y T2

			ORG	0x1040
PROV_INFO

; A partir de aqui van los datos de los proveedores
SECA		DW	0x00,0x00						;Ident
		DE	"SECA            "				;Name
		DW	0x00,0x00,0x00,0x00				;PPUA
		DW	0x00,0x00						;Termination Date
		DW	0x00							;Regional Byte

		DW	0x00							;not used

		DW	0x01							;Seca STARTUP
		DW	0x02							;Seca ACTIVATION
		DW	0x03							;Seca PPV y PPV record en otros providers
		DW	0x00,0x00,0x00					;not used
		DW	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00	;not used
		DW	0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00	;PK index
		DW	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
		DW	0x05,0x00,0x00,0x00,0x00,0x00,0x00,0x00	;SK index
		DW	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
		DW	0xFF,0xFF			; Nano 26 Authorization
		DW	0x00				; Nano 01/02 Authorization
ProvINFOLen		EQU	$-PROV_INFO



;**********************************************************************
;230 RECORD MAx
			ORG	0x1500
RECORD
		DW	0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x89,0x9B,0xE0	;1 SECA Startup RECORD
RECORDlen		EQU $-RECORD
		DW	0x02,0x28,0x05,0x19,0x98,0x00,0x00,0x00,0x00,0x00,0x00,0xe0	;2 SECA Activation RECORD
		DW	0x00,0x04,0x05,0x00,0x1b,0x00,0x0c,0x03,0x3c,0x82,0x22,0xe0     ;3 SECA PPV
		DW	0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x00,0x80	;4 SECA MK00 primary
		DW	0x50,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x00,0xC0	;5 SECA MK00 secondary

